/////////////////////////////////////////////////////////////////////////////

// Name:        guards.h

// Purpose:     Prevent copy construction and assignment.

// Author:      Marty Saxton

// Modified by:

// Created:     10/27/2001

// RCS-ID:      $Id: guards.h,v 1.1.1.1 2001/11/10 19:00:42 thundercow Exp $

// Copyright:   (c) Marty Saxton, Thundercow Software

// Licence:     wxWindows license

/////////////////////////////////////////////////////////////////////////////





#ifndef WXTEST_GUARDS_H

#define WXTEST_GUARDS_H



// Prevent copy construction and assignment for a class

#define REFERENCEOBJECT(className) \

private: \

               className (const className& other); \

    className& operator= (const className& other); 



#endif

