/////////////////////////////////////////////////////////////////////////////

// Name:        TestCaseMultiThreaded.cpp

// Purpose:     

// Author:      Marty Saxton

// Modified by:

// Created:     10/27/2001

// RCS-ID:      $Id: TestCaseMultiTheaded.cpp,v 1.1.1.1 2001/11/10 19:00:44 thundercow Exp $

// Copyright:   (c) Marty Saxton, Thundercow Software

// Licence:     wxWindows license

/////////////////////////////////////////////////////////////////////////////



#include "../include/wxTest/ITestRunner.h"

#include "../include/wxTest/TestCaseMultiThreaded.h"



wxTestCaseMultiThreaded::wxTestCaseMultiThreaded( const char* pszDescription, wxITest* pParent ) : wxTestCase( pszDescription, pParent )

{

}



//wxTestCaseMultiThreaded::~wxTestCaseMultiThreaded()

//{

//	delete [] m_pszDescription;

//}



void wxTestCaseMultiThreaded::Run( wxITestRunner* pResult, long unsigned nThreadId )

{

	try 

	{

		RunUnitTest( pResult, nThreadId );

	}

	catch ( wxTestAssertion wxtAssertion )

	{

		pResult->OnTestFailure( this, wxtAssertion.m_szMessage, wxtAssertion.m_pszFile, wxtAssertion.m_nLineNo ); 

	}

	catch(...)

	{

		pResult->OnTestFailure( this, "ERROR", "<UNKNOWN>", 0 ); 

	}

}



void wxTestCaseMultiThreaded::Run( wxITestRunner* pResult )

{

	pResult->BeginTestCase( this );

	Setup();

	pResult->SpawnThreads( this );

	TearDown();

	pResult->EndTestCase( this );

}





int wxTestCaseMultiThreaded::GetNumSubTests()

{

	return 0;

}



void wxTestCaseMultiThreaded::GetSubTests( wxITest ** pOutTests )

{

}



