/////////////////////////////////////////////////////////////////////////////

// Name:        ConfirmResultsDlg.cpp

// Purpose:     

// Author:      Marty Saxton

// Modified by:

// Created:     10/27/2001

// RCS-ID:      $Id: ConfirmResultsDlg.cpp,v 1.1.1.1 2001/11/10 19:00:45 thundercow Exp $

// Copyright:   (c) Marty Saxton, Thundercow Software

// Licence:     wxWindows license

/////////////////////////////////////////////////////////////////////////////



#include "PrecompiledHeaders.h"

#include "wxTestRunnerGUIApp.h"

//#include "ConfirmResultsDlg.h"

//#ifdef __WXMSW__

//#include <windows.h>

//#endif





//#include "resources.h"



class ConfirmResultsDlg : public wxDialog

{

public:

	ConfirmResultsDlg( int* nRetCode );

	virtual ~ConfirmResultsDlg();

    void OnYes(wxCommandEvent& event);

    void OnNo(wxCommandEvent& event);

    virtual void EndModal(int retCode);

    

private:

    DECLARE_EVENT_TABLE()



	int * m_pnRetCode;

};





BEGIN_EVENT_TABLE(ConfirmResultsDlg, wxDialog)

	EVT_BUTTON( wxYES, ConfirmResultsDlg::OnYes )

	EVT_BUTTON( wxNO,  ConfirmResultsDlg::OnNo  )

END_EVENT_TABLE()







ConfirmResultsDlg::ConfirmResultsDlg(int  * pnRetCode ) :

	m_pnRetCode( pnRetCode )

{



    bool b = Create(NULL, -1, "Confirm Output", wxPoint(10,10), wxSize( 300,150) ,  wxDEFAULT_DIALOG_STYLE, "Confirm Output2");

	wxStaticText* pStatic = new wxStaticText( this, -1, "Does the output appear to be correct?", wxPoint( 40,20), wxSize(400,14) );

	pStatic->SetSize( pStatic->GetBestSize() );

	pStatic->Center(wxHORIZONTAL);

	pStatic->Move( wxPoint( pStatic->GetPosition().x, 25 ) );



	wxButton *pButton = new wxButton( this, wxYES, "&Yes", wxPoint( 70, 80 ), wxSize( 50,25 ) );

	pButton->SetDefault();

	new wxButton( this, wxNO, "&No", wxPoint( 170, 80 ), wxSize( 50,25 ) );



	//SetSize( 100,100 );

	CenterOnScreen();

//#ifdef WXTEST_MULTITHREADED

//	ShowModal();

//#else

	Show(true);

//#endif



}



ConfirmResultsDlg::~ConfirmResultsDlg()

{

}





int DoConfirmResultsDlg()

{

	int nRetCode = 0;

	ConfirmResultsDlg * pDlg = new ConfirmResultsDlg( &nRetCode );



//#ifndef WXTEST_MULTITHREADED

	for (;;)

	{

		wxGetApp().Dispatch() ;

		if ( nRetCode )

			break;

	}

//#endif



	delete pDlg;

	return nRetCode;

}







void ConfirmResultsDlg::OnYes(wxCommandEvent& WXUNUSED(event) )

{

	EndModal( wxYES );

}



void ConfirmResultsDlg::OnNo(wxCommandEvent& WXUNUSED(event) )

{

	EndModal( wxID_NO );

}



void ConfirmResultsDlg::EndModal(int retCode)

{

	*m_pnRetCode = retCode;

	wxDialog::EndModal( retCode );

}

