/////////////////////////////////////////////////////////////////////////////

// Name:        wxTestRunnerFrame.h

// Purpose:     

// Author:      Marty Saxton

// Modified by:

// Created:     10/27/2001

// RCS-ID:      $Id: wxTestRunnerFrame.h,v 1.1.1.1 2001/11/10 19:00:46 thundercow Exp $

// Copyright:   (c) Marty Saxton, Thundercow Software

// Licence:     wxWindows license

/////////////////////////////////////////////////////////////////////////////





class wxTestTree;



class wxTestRunnerFrame : public wxFrame

{

public:

    // ctor(s)

    wxTestRunnerFrame(const wxString& title, const wxPoint& pos, const wxSize& size);

    ~wxTestRunnerFrame();



    // event handlers (these functions should _not_ be virtual)

    void OnQuit(wxCommandEvent& event);

    void OnAbout(wxCommandEvent& event);

    void OnSetOutputDir(wxCommandEvent& event);







private:



	wxFont m_fontMono;

	FILE* m_stdout;







    DECLARE_EVENT_TABLE()

};



// Window ids

enum WINDOWIDS

{

	WINDOWID_SPLITTER_WINDOW = 100,

	WINDOWID_TEST_TREE,

	WINDOWID_TEST_RESULTS

};



